Intel® Enhanced Privacy ID SDK 2.0.0

Data Fields
Epid2Params Struct Reference
epid » common » types

Intel(R) EPID 2.0 Parameters. More...

`#include <epid/common/types.h>`

## Data Fields
BigNumStr | p
| a prime
BigNumStr | q
| a prime
FqElemStr | b
| an integer between [0, q-1]
OctStr64 | t
| an integer
OctStr8 | neg
| a boolean
FqElemStr | beta
| an integer between [0, q-1]
FqElemStr | xi [2]
| array of integers between [0, q-1]
G1ElemStr | g1
| a generator (an element) of G1
G2ElemStr | g2
| a generator (an element) of G2

## Detailed Description

Intel(R) EPID 2.0 Parameters.

Intel(R) EPID 2.0 parameters: (p, q, b, t, neg, beta, xi0, xi1, g1, g2)

The documentation for this struct was generated from the following file:

- epid/common/types.h